package com.example.hlk_sw16;

import android.content.Context;
import android.content.SharedPreferences;
import android.util.AttributeSet;
import android.util.Log;
import android.view.LayoutInflater;
import android.view.View;
import android.widget.ImageView;
import android.widget.ProgressBar;
import android.widget.RelativeLayout;
import android.widget.TextView;
import android.content.SharedPreferences;
import android.content.SharedPreferences.Editor;
public class ImageTextButton1 extends RelativeLayout {
	
	private ImageView imgView;  
	private ImageView dot;
	private TextView  textView;
	private ProgressBar ProgressBar1;
	private Boolean statusFlag=false;

	public ImageTextButton1(Context context) {
		super(context,null);
	}
	
	public ImageTextButton1(Context context,AttributeSet attributeSet) {
		super(context, attributeSet);
		
		LayoutInflater.from(context).inflate(R.layout.img_text_bt, this,true);
		
		this.imgView = (ImageView)findViewById(R.id.imgview);
		this.textView = (TextView)findViewById(R.id.textview);
		this.ProgressBar1 = (ProgressBar)findViewById(R.id.progressBar1);
		
		this.setClickable(true);
		this.setFocusable(true);
		
		
		Log.i("ImageTextButton1","ťʼ");
		
//		SharedPreferences sharedPre1=this.getSharedPreferences("configbtn", Context.MODE_PRIVATE);
//		String btn1=sharedPre1.getString("btn", "");
//		btnJDQ1.setText(btn1);
	}
	
	public void setImgResource(int resourceID) {
		this.imgView.setImageResource(resourceID);
	}
	
	public void setText(String text) {
		this.textView.setText(text);
	}
	
	public void setTextColor(int color) {
		this.textView.setTextColor(color);
	}
	
	public void setTextSize(float size) {
		this.textView.setTextSize(size);
	}
	
	public void mydefine()
	{
		System.out.println("ҵԶ尴ť");
		this.imgView.setVisibility(View.VISIBLE);
	}
	public void hide()
	{
		this.imgView.setVisibility(View.INVISIBLE);
		
	}
	public void setMyText(String str)
	{
		this.textView.setText(str);
	}
	
	public void setStatusFlag(Boolean statusflag)
	{
		this.statusFlag=statusflag;
	}
	public Boolean getStatusFlag()
	{
		return this.statusFlag;
	}
	
	public void Open()
	{
		this.imgView.setBackgroundResource(R.drawable.on);
//		this.statusFlag=true;
	}
	public void Close()
	{
		this.imgView.setBackgroundResource(R.drawable.off);
//		this.statusFlag=false;
	}
	
	public void DotShow()
	{
		this.dot.setVisibility(View.VISIBLE);
	}
	public void DotHide()
	{
		this.dot.setVisibility(View.INVISIBLE);
	}
	
	public void Disable()
	{
		this.imgView.setBackgroundResource(R.drawable.disable);
	}
	
	public void BlueButton()
	{
		this.imgView.setBackgroundResource(R.drawable.bluebutton);
	}
	
	public void ProgressBarShow()
	{
		ProgressBar1.setVisibility(View.VISIBLE);
	}
	public void ProgressBarHide()
	{
		ProgressBar1.setVisibility(View.INVISIBLE);
	}
	
	
	
}
